/*
 * @Author: cbwu 504-wuchengbo@htsdfp.com
 * @Date: 2024-04-24 15:06:54
 * @LastEditors: cbwu
 * @LastEditTime: 2024-04-24 15:06:58
 * @Description: 鼠标形状
 */
import { Viewer } from 'cesium'
enum MouseType {
  Default = 'Default', //默认箭头
  Move = 'move', //移动
  NSMove = 'n-resize', //上下移动
  Pointer = 'Pointer', //手指
  AddPoint = 'copy',
  Grab = 'grab',
  Drag = 'grabbing', //
}
function setMouseStyle(viewer: Viewer, type: string = 'Default') {
  const canvas = viewer.canvas
  canvas.style.cursor = type
}

export { setMouseStyle, MouseType }
